Loading...
Searching...
No Matches
casacore::MSFlagCmdEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet FLAG_CMD table. More...

`#include <MSFlagCmdEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , APPLIED , COMMAND , INTERVAL , LEVEL , REASON , SEVERITY , TIME , TYPE , NUMBER_REQUIRED_COLUMNS , NUMBER_PREDEFINED_COLUMNS }
| The FLAG_CMD table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet FLAG_CMD table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet FLAG_CMD table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSFlagCmd class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSFlagCmdEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSFlagCmdEnums::PredefinedColumns

The FLAG_CMD table colums with predefined meaning.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
APPLIED | applied flag - true if flag has been applied to main table Bool
COMMAND | flag command String
INTERVAL | Time interval Double.
LEVEL | Flag level - revision Int.
REASON | Flag reason, user specified String.
SEVERITY | severity code (0-10) Int
TIME | Midpoint of time interval for which this flag command applies Double.
TYPE | Flag type: FLAG or UNFLAG String.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 60 of file MSFlagCmdEnums.h.

## PredefinedKeywords

enum casacore::MSFlagCmdEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 95 of file MSFlagCmdEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFlagCmdEnums.h